<template>
  <div>
    <div class="loader">
      <span>C</span>
      <span>S</span>
      <span>Q</span>
      <span>U</span>
      <span>A</span>
      <span>R</span>
      <span>E</span>
    </div>
  </div>
</template>

<script>
  export default {

  }
</script>

<style lang="scss" scoped>
.loader {
  position: absolute;
  // top: 50%;
  left: 55%;
  transform: translate(-50%) translate(-50%);
}

.loader span {
  color: rgb(255, 255, 255, .1);
  font-family: arial;
  font-size: 24px;
  display: inline-block;
  transition: all .5s;
  animation: animate 2s infinite;
}
.loader span:nth-child(1) {
  animation-delay: .1s;
}
.loader span:nth-child(2) {
  animation-delay: .2s;
}
.loader span:nth-child(3) {
  animation-delay: .3s;
}
.loader span:nth-child(4) {
  animation-delay: .4s;
}
.loader span:nth-child(5) {
  animation-delay: .5s;
}
.loader span:nth-child(6) {
  animation-delay: .6s;
}
.loader span:nth-child(7) {
  animation-delay: .7s;
}
@keyframes animate {
  0% {
    color: rgb(255, 255, 255, .1);
    transform: translateY(0);
    margin-left: 0;
  }
  25% {
    color: yellow;
    transform: translateY(-15px);
    margin-left: 10px;
  }
  100% {
    color: rgb(255, 255, 255, .1);
    transform: translateY(0);
  }
}
</style>